Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"
  # config.vm.network "forwarded_port", guest: 80, host: 8080, host_ip: "127.0.0.1"
  config.vm.network "private_network", ip: "192.168.56.200"

  config.vm.network "public_network"
  config.vm.synced_folder "D:\\Code\\", "/home/Code"
  config.vm.synced_folder "./Data", "/home/Data"
  config.vm.synced_folder ".", "/vagrant", disabled: true
  config.vm.disk :disk, size: "50GB", primary: true

  #
  config.vm.provider "virtualbox" do |vb|
    # Display the VirtualBox GUI when booting the machine
    #vb.gui = true
  
    # Customize the amount of memory on the VM:
    vb.memory = "4096"
    vb.cpus = 4
    vb.name = "Ubuntu Vagrant"
  end
  
  config.vm.provision "shell", path: "Data/install_docker"
  

config.vm.provision "shell", inline: <<-SHELL
  timedatectl set-timezone Asia/Ho_Chi_Minh
  reboot
  SHELL
end
